Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 79134 - [LSB-i] sed 'y' command cannot handle string per 1 character
Summary: [LSB-i] sed 'y' command cannot handle string per 1 character
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux Beta
Classification: Retired
Component: sed
Version: beta4
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks: 79578
TreeView+ depends on / blocked
 
Reported: 2002-12-06 03:50 UTC by Leon Ho
Modified: 2007-04-18 16:48 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-02-18 04:35:03 UTC


Attachments (Terms of Use)
sed-tp.sh (deleted)
2002-12-06 03:50 UTC, Leon Ho
no flags Details
mb.ok (deleted)
2002-12-06 03:51 UTC, Leon Ho
no flags Details
i18n patch for sed (deleted)
2002-12-11 23:57 UTC, Leon Ho
no flags Details | Diff

Description Leon Ho 2002-12-06 03:50:04 UTC
Description of Problem: 
From LI18NUX2000-1 Test Suite result:  
"Verify that 'y' command handle strings per 1 character.  
Can't replace correctly. " 
 
Version-Release number of selected component (if applicable): 
3.02-14 
 
How Reproducible: 
everytime 
 
Steps to Reproduce: 
1.  
2.  
3.  
 
Actual Results: 
 
 
Expected Results: 
 
 
Additional Information: 
Test case files to follow

Comment 1 Leon Ho 2002-12-06 03:50:52 UTC
Created attachment 87627 [details]
sed-tp.sh

Comment 2 Leon Ho 2002-12-06 03:51:43 UTC
Created attachment 87628 [details]
mb.ok

Comment 3 Leon Ho 2002-12-06 03:52:19 UTC
please see the tp6() test case

Comment 4 Leon Ho 2002-12-11 23:57:59 UTC
Created attachment 88490 [details]
i18n patch for sed

Comment 5 Leon Ho 2003-01-13 01:08:28 UTC
Do you need any other info for this? It would be great if it can be updated before 
another public beta releases.. 

Comment 6 Jakub Jelinek 2003-02-17 23:54:50 UTC
Please try rawhide sed (sed-4.0.5-1).

Comment 7 Leon Ho 2003-02-18 04:35:03 UTC
This version gives OK to the test case. Thanks! 


Note You need to log in before you can comment on or make changes to this bug.